=== include/Makefile ===
#!/usr/bin/make -f

install :

clean :
	rm -f *~

distclean : clean
