=== plugins/Makefile ===
#!/usr/bin/make -f

DESTDIR =
prefix = /usr/local
bindir = $(prefix)/bin
pkglibdir = $(prefix)/lib/array-info

ARRAY_PLUGIN_PATH=$(pkglibdir)/plugins

INCLUDES = -I../include -I../linuxheaders

CFLAGS =  -fPIC -g2 -W -Wall $(INCLUDES)
LDFLAGS = -fPIC

ida_OBJS   = ida_info.o ida_cmd.o compaq_info.o
cciss_OBJS = cciss_info.o cciss_cmd.o compaq_info.o
md_OBJS    = md_info.o

OUTPUT = md_info.so cciss_info.so ida_info.so

REL_NAME = array-info
REL_VER = 0.15

all : $(OUTPUT)

ida_info.so: $(ida_OBJS)
	$(CC) --shared -o $@ $^ $(LDFLAGS)

cciss_info.so: $(cciss_OBJS)
	$(CC) --shared -o $@ $^ $(LDFLAGS)

md_info.so: $(md_OBJS)
	$(CC) --shared -o $@ $^ $(LDFLAGS)

install:
	install -d $(DESTDIR)$(ARRAY_PLUGIN_PATH)
	for plug in $(OUTPUT) ; do \
		install -c $$plug $(DESTDIR)$(ARRAY_PLUGIN_PATH)/. ; \
	done

indent : 
	find . -name "*.[ch]" -exec indent -kr -i8 -ts8 -sob -l80 -ss -bs -psl {} \; && find . -name "*~" -exec rm {} \;

clean :
	rm -f *~ $(md_OBJS) $(cciss_OBJS) $(ida_OBJS)

distclean :
	rm -f $(OUTPUT)
