## array-info 0.16

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 prefix = /usr/local
 sbindir = $(prefix)/sbin
 pkglibdir = $(prefix)/lib/array-info
-mandir = /usr/local/man
+mandir = $(prefix)/share/man
 
 subdirs = lib plugins include
 
@@ -18,7 +18,7 @@
 MAN = array-info.1
 
 REL_NAME = array-info
-REL_VER = 0.15
+REL_VER = 0.16
 DISTDIR=$(REL_NAME)-$(REL_VER)
 TARGZ=$(REL_NAME)_$(REL_VER).tar.gz
 TARBZ2=$(REL_NAME)_$(REL_VER).tar.bz2
@@ -48,7 +48,7 @@
 	mkdir -p $(DESTDIR)$(sbindir)/.
 	cp $(OUTPUT) $(DESTDIR)$(sbindir)/.
 	for dir in $(subdirs) ; do \
-		$(MAKE) -C $$dir $@; \
+		$(MAKE) -C $$dir $@ DESTDIR=$(DESTDIR) prefix=$(prefix); \
 	done
 	mkdir -p $(DESTDIR)$(mandir)/man1
 	cp $(MAN).gz $(DESTDIR)$(mandir)/man1/
@@ -61,7 +61,7 @@
 
 clean distclean ::
 	for dir in $(subdirs) ; do \
-		$(MAKE) -C $$dir $@ ; \
+		$(MAKE) -C $$dir $@ DESTDIR=$(DESTDIR) prefix=$(prefix); \
 	done
 clean ::
 	rm -f *~ $(OBJS)
@@ -71,7 +71,7 @@
 
 changelog :
 	rm -f ChangeLog
-	cvs2cl -U Contributors -I ChangeLog
+	cvs2cl --utc -U Contributors -I ChangeLog
 
 dist : distclean
 	rm -rf $(DISTDIR)
