=== lib/Makefile ===
#!/usr/bin/make -f

INCLUDES = -I../include

CFLAGS = -g2 -Wall $(INCLUDES) -fPIC
OBJS = array_plugin_api.o

OUTPUT = libarray-info.a

all : $(OUTPUT)

$(OUTPUT) : $(OBJS)
	ar -cr $(OUTPUT) $(OBJS)
	ranlib $(OUTPUT)

install:

indent : 
	find . -name "*.[ch]" -exec indent -kr -i8 -ts8 -sob -l80 -ss -bs -psl {} \; && find . -name "*~" -exec rm {} \;

clean :
	rm -f *~ $(OBJS) $(OUTPUT)

distclean : clean
