=== debian/changelog ===
array-info (0.16-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Petter Reinholdtsen ]
  * Added 1000-major-minor-macros.patch to fix build problem with recent
    glibc (Closes: #916121).
  * Adjusted packaging to move AppStream metadata from
    /usr/share/appdata to /usr/share/metainfo.
  * Changed Standards-Version from 3.9.8 to 4.2.1.
  * Fixed FTCBFS: Let dh_auto_build pass cross tools to make
    (Closes: #900893).  Patch from Helmut Grohne.
  * Added d/gbp.conf to enforce the use of pristine-tar.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 15 Dec 2018 08:34:33 +0100

array-info (0.16-3) unstable; urgency=medium

  * Correct modalias AppStream info, map to cciss and md-mod kernel
    modules.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 17 Sep 2016 08:53:03 +0000

array-info (0.16-2) unstable; urgency=medium

  * Switched away from hardening-wrapper. (Closes: #836615)
  * Changed Standards-Version from 3.9.5 to 3.9.8.
  * Added AppStream modalias info.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 12 Sep 2016 20:23:54 +0000

array-info (0.16-1) unstable; urgency=low

  * New upstream release 0.16.
  * Convert rules file to use dh.
  * Add debian/watch files.
  * Move package to git repo under collab-maint maintenance.  Add Vcs-
    Git and Vcs-Browser fields in control file.
  * Enable some hardening using the hardening-wrapper package.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 21 Apr 2014 15:02:25 +0200

array-info (0.15-2) unstable; urgency=low

  * Take over package maintenance, requested by maintainer
    in bug #664407.
  * Move homepage URL to control field Homepage (Closes: #615185).
  * Fix typo in package description (Closes: #688626, #686807)
  * Migrate to new packaging format (3.0 quilt) (Closes: #664407).
    Based on patch by Jari Aalto.
    - Remove deprecated dpatch references from rules, debian/patches
      (not used) and upgrade to packaging format "3.0 quilt".
    - Update to Standards-Version to 3.9.5, debhelper to 9, add ${misc:Depends}.
    - Correct Lintian warning issues.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 01 Mar 2014 08:34:15 +0100

array-info (0.15-1) unstable; urgency=low

  * New upstream release

 -- Raphael Pinson <raphink@ubuntu.com>  Tue, 29 May 2007 18:39:33 +0200

array-info (0.13-1) unstable; urgency=low

  * Initial release (Closes #403055)
  * Upload sponsored by Petter Reinholdtsen

 -- Raphael Pinson <raphink@ubuntu.com>  Wed,  7 Feb 2007 22:27:52 +0100
