=== debian/control ===
Source: array-info
Section: admin
Priority: optional
Maintainer: Petter Reinholdtsen <pere@debian.org>
Build-Depends: debhelper (>= 9), docbook2x, linux-kernel-headers
Standards-Version: 4.2.1
Homepage: http://sourceforge.net/projects/array-info/
Vcs-Git: https://salsa.debian.org/debian/array-info.git
Vcs-Browser: https://salsa.debian.org/debian/array-info

Package: array-info
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: command line tool reporting RAID status for several RAID types
 Array-info is a command line tool to retrieve information and logical
 drives status from several RAID controllers (currently HP Compaq IDA
 and CISS, and MD Software RAID).
 .
 It displays information about the firmware version, Rom revision,
 number of physical and logical drives on the controller, as well as the fault
 tolerance, size, number of physical disks and status for each logical drive.
