=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_auto_build:
	dh_auto_build -- all ARRAY_PLUGIN_PATH=/usr/lib/array-info/plugins

override_dh_auto_install:
	$(MAKE) install prefix=/usr mandir=/usr/share/man DESTDIR=$(CURDIR)/debian/array-info/

%:
	dh $@
